Search found 3 matches

by AnkaTruck
03 Dec 2019 21:14
Forum: Questions & Feedback
Topic: 1.36 update
Replies: 129
Views: 30183

Re: Promods 2.42 Incompatible 3

Thank you it works fine now
by AnkaTruck
03 Dec 2019 18:42
Forum: Questions & Feedback
Topic: 1.36 update
Replies: 129
Views: 30183

Re: Promods 2.42 Incompatible 3

Ok thank you. How to downgrade the game in steam to 1.35 ?
by AnkaTruck
03 Dec 2019 17:25
Forum: Questions & Feedback
Topic: 1.36 update
Replies: 129
Views: 30183

Promods 2.42 Incompatible 3

Hello,

I have the same problem. It says that it needs the 5 DLC and all the files. But I have all of them. Event tried to reinstall them but it still doesn't work